Uses of Interface
org.actioncontroller.ApiHttpExchange.WriterConsumer
-
Packages that use ApiHttpExchange.WriterConsumer Package Description org.actioncontroller Action Controller is a framework that takes "controller" classes and generatesApiControllerActionfor each method annotated with a "routing mapper annotation" such asGET.org.actioncontroller.client org.actioncontroller.httpserver org.actioncontroller.jakarta org.actioncontroller.servlet org.actioncontroller.socket -
-
Uses of ApiHttpExchange.WriterConsumer in org.actioncontroller
Methods in org.actioncontroller with parameters of type ApiHttpExchange.WriterConsumer Modifier and Type Method Description voidApiHttpExchange. write(String contentType, ApiHttpExchange.WriterConsumer consumer)Callback with a Writer to generate response body -
Uses of ApiHttpExchange.WriterConsumer in org.actioncontroller.client
Methods in org.actioncontroller.client with parameters of type ApiHttpExchange.WriterConsumer Modifier and Type Method Description voidApiClientExchange. write(String contentType, ApiHttpExchange.WriterConsumer consumer)voidHttpURLConnectionApiClient.ClientExchange. write(String contentType, ApiHttpExchange.WriterConsumer consumer) -
Uses of ApiHttpExchange.WriterConsumer in org.actioncontroller.httpserver
Methods in org.actioncontroller.httpserver with parameters of type ApiHttpExchange.WriterConsumer Modifier and Type Method Description voidJdkHttpExchange. write(String contentType, ApiHttpExchange.WriterConsumer consumer) -
Uses of ApiHttpExchange.WriterConsumer in org.actioncontroller.jakarta
Methods in org.actioncontroller.jakarta with parameters of type ApiHttpExchange.WriterConsumer Modifier and Type Method Description voidFakeJakartaApiClient.FakeApiClientExchange. write(String contentType, ApiHttpExchange.WriterConsumer consumer)voidJakartaServletHttpExchange. write(String contentType, ApiHttpExchange.WriterConsumer consumer) -
Uses of ApiHttpExchange.WriterConsumer in org.actioncontroller.servlet
Methods in org.actioncontroller.servlet with parameters of type ApiHttpExchange.WriterConsumer Modifier and Type Method Description voidFakeServletClient.FakeApiClientExchange. write(String contentType, ApiHttpExchange.WriterConsumer consumer)voidServletHttpExchange. write(String contentType, ApiHttpExchange.WriterConsumer consumer) -
Uses of ApiHttpExchange.WriterConsumer in org.actioncontroller.socket
Methods in org.actioncontroller.socket with parameters of type ApiHttpExchange.WriterConsumer Modifier and Type Method Description voidSocketHttpExchange. write(String contentType, ApiHttpExchange.WriterConsumer consumer)
-